/*
 * Vifir - An electronic flight bag wannabe utility for aircraft pilots
 * Copyright (C) 2009 David Ludlow
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * dave@adsllc.com, PO Box 13070, Toledo, OH 43623
 */

#ifndef DISCLAIMERDIALOG_H_
#define DISCLAIMERDIALOG_H_

#include <gtkmm/dialog.h>
#include <gtkmm/button.h>
#include <libglademm.h>

class DisclaimerDialog
{
public:
	DisclaimerDialog(std::string *GladeFilename);
	~DisclaimerDialog();
	int Run();
	bool GetInitFailure();

private:
	Glib::RefPtr<Gnome::Glade::Xml> refXml;
	Gtk::Dialog *GtkDialog;
	Gtk::Button *CancelButton;
	Gtk::Button *AgreeButton;

	void on_Cancel_clicked();
	void on_Agree_clicked();
	bool InitFailure;
};

#endif /*ABOUTDIALOG_H_*/
