/*
 * Vifir - An electronic flight bag wannabe utility for aircraft pilots
 * Copyright (C) 2009 David Ludlow
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * dave@adsllc.com, PO Box 13070, Toledo, OH 43623
 */

#ifndef IMPORTDIALOG_H_
#define IMPORTDIALOG_H_

#include <gtkmm/dialog.h>
#include <gtkmm/button.h>
#include <libglademm.h>
#include <string>
#include "DataStore.h"
#include "Config.h"
#include "Shapefile.h"

class ImportDialog
{
public:
	ImportDialog(Config *Cfg, std::string *GladeFilename, DataStore *Data, Shapefile *ShapefileData);
	virtual ~ImportDialog();

	void Run();
private:
	Glib::RefPtr<Gnome::Glade::Xml> refXml,ProgRefXml;
	Gtk::Dialog *GtkDialog;
	Gtk::Button *FlightDBCDButton;
	Gtk::Button *XPlane900DataButton;
	Gtk::Button *SectionalsDVDButton;
	Gtk::Button *ApproachesDVDButton;
	Gtk::Button *ShapefileButton;

	Config *Cfg;
	std::string *GladeFilename;
	DataStore *Data;
	Shapefile *ShapefileData;

	void on_FlightDBCDButton_clicked();
	void on_XPlane900DataButton_clicked();
	void on_SectionalsDVDButton_clicked();
	void on_ApproachesDVDButton_clicked();
	void on_ShapefileButton_clicked();
};

#endif /*IMPORTDIALOG_H_*/
