/*
 * Vifir - An electronic flight bag wannabe utility for aircraft pilots
 * Copyright (C) 2009 David Ludlow
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * dave@adsllc.com, PO Box 13070, Toledo, OH 43623
 */

#ifndef SERIALPORT_H_
#define SERIALPORT_H_

#include <cstring>

#ifndef WIN32
#else
	#ifdef DATADIR
	#undef DATADIR
	#endif
	#include "windows.h"
#endif

class SerialPort {
public:
	SerialPort(std::string Port, unsigned int Baud);
	virtual ~SerialPort();

private:
	std::string Port;
	unsigned int Baud;

	void Cleanup();

#ifndef WIN32
	int Handle;
#else
	HANDLE Handle;
#endif

};

#endif /* SERIALPORT_H_ */
